get_configured_hash_width()

NAME
get_configured_hash_width Returns the number of hash bits that will be used to program the CAT.This depends on the ERF type in case of FCSBM and on the configured hash width in case of HSBM.

SYNOPSIS

#include <cat_interface.h>

void get_configured_hash_width(
         dag_component_tcomponent
)

DESCRIPTION
get_configured_hash_width returns the number of hash bits that will be used to program the CAT.

RETURN VALUE
On success cat_get_max_color returns the number of color bits that will be used to program the CAT.

SEE ALSO
cat_get_current_bank(3),cat_swap_banks(3),cat_get_no_of_output_bits(3),cat_get_no_of_input_bits(3),cat_get_max_hlb_or_hash(3),cat_get_max_interface(3),cat_get_max_color(3),get_configured_hash_width(3),cat_get_hash_mask(3),cat_get_entry_mode(3),cat_set_entry_mode(3),cat_bypass(3).

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: nuwan.gunasekara $
$Revision: 13741 $
$Date: 2011-01-14 17:22:46 +1300 (Fri, 14 Jan 2011) $

COPYRIGHT
(c) 2009-2010 Endace Technology, Hamilton, New Zealand. All Rights Reserved.